import IPartConstructor from "./parts/IPartConstructor";
import ITagConstructor from "./tags/ITagConstructor";
/**
 * YumTemplate
 */
declare class YumTemplate {
    private readonly _options;
    private readonly _parts;
    private _zip;
    static instrument: boolean;
    static time: number;
    static resetTime(): void;
    static showTime(message: string): void;
    static registerCulture(locale: string, culture: Record<string, unknown>): void;
    static registerPart(name: string, Part: IPartConstructor): void;
    static registerTag(name: string, Tag: ITagConstructor): void;
    static setExpressionEval(evaluate: (expression: string, context: Record<string, unknown>) => Promise<unknown>): void;
    /**
     * constructor
     * @param options
     */
    constructor(options?: Record<string, unknown>);
    /**
     * _sanitizeOptions
     *  options.delimiters
     *  options.locale
     * @param options
     * @private
     */
    private _sanitizeOptions;
    /**
     * _loadNodePath
     * @param path
     * @private
     */
    private _loadNodePath;
    /**
     * _loadBrowserBlob
     * @param file
     * @private
     */
    private _loadBrowserBlob;
    /**
     * _loadBrowserFile
     * @param file
     * @private
     */
    private _loadBrowserFile;
    /**
     * load
     * @param handle
     */
    load(handle: string | File): Promise<void>;
    /**
     * _getPartRefs
     * @private
     */
    private _getPartRefs;
    /**
     * _loadParts
     * @private
     */
    private _loadParts;
    /**
     * render
     * @param data
     */
    render(data?: Record<string, unknown>): Promise<string | undefined>;
    /**
     * saveAs
     * @param path
     */
    saveAs(path: string): Promise<void>;
}
export default YumTemplate;
