import ITag from './ITag';
import MatchedNode from "./MatchedNode";
/**
 * TagParser
 */
declare type TagParser = {
    new (dom: Node, options?: Record<string, unknown>): any;
};
/**
 * AbstractTag
 */
declare abstract class AbstractTag implements ITag {
    static TagParser: TagParser;
    readonly matchedNodes: Map<string, MatchedNode>;
    protected _done: boolean;
    readonly children: Array<AbstractTag>;
    readonly parent: Array<AbstractTag>;
    /**
     * constructor
     * @param matchedNode
     * @param parent
     * @protected
     */
    protected constructor(matchedNode: MatchedNode, parent: Array<AbstractTag>);
    /**
     * addNode
     * @param matchedNode
     */
    addMatchedNode(matchedNode: MatchedNode): void;
    /**
     * render
     * @param data
     */
    abstract render(data: Record<string, unknown>): Promise<void>;
    /**
     * done
     */
    get done(): boolean;
}
/**
 * Default export
 */
export default AbstractTag;
