import AbstractTag from "./AbstractTag";
/**
 * TagParser
 */
declare class TagParser {
    private readonly _dom;
    private _delimiters;
    private _lexer;
    private _ast;
    private _current;
    private _stack;
    /**
     * constructor
     * @param dom
     * @param options
     */
    constructor(dom: Node, options?: Record<string, unknown>);
    /**
     * lexer
     * @private
     */
    get lexer(): RegExp | undefined;
    /**
     * _findTagInBlocks
     * @param statement
     * @private
     */
    private _findTagInBlocks;
    /**
     * _parse
     * @param node
     * @private
     */
    private _parse;
    /**
     * parse
     */
    parse(): AbstractTag[];
}
/**
 * Default export
 */
export default TagParser;
